Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07516 Crash/Freeze Major Always Dec 5, 2019, 19:03 Jan 20, 2020, 16:09
Tester chaneman View Status Public Platform MAME (Official Binary)
Assigned To Kale Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver twins.cpp
Version 0.216 Fixed in Version 0.218 Build 64-bit
Summary 07516: twins, twinsed2: Games lock up or reset after level 1-5
Description Twins and clone twinsed2 lock up so you are unable to continue to next level or the games reset with graphics corruption displayed during attract mode but unable to start a new game without a reset.

*Update

twins bug. Full gameplay untill the bug ocurrs in 9:10 :




twinsed2 bug. Full gameplay untill the bug ocurrs in 9:30 :
Steps To Reproduce Play the game.
Additional Information
Flags
Regression Version
Affected Sets / Systems twins, twinsed2
Attached Files
zip file icon twins_51000_bug_wolf216.zip (209,077 bytes) Jan 15, 2020, 20:16 Uploaded by Kale
inp example
Relationships
There are no relationship linked to this issue.
Notes
8
User avatar
No.17240
Tafoid
Administrator
Dec 5, 2019, 21:16
Using Cheat to confirm, I was able to hang it up after attempting finish of 5th level on "twins"
I chose the "Finish this Eound with 1 Pair NOW!" cheat.
User avatar
No.17241
MetalGod
Senior Tester
Dec 6, 2019, 02:55
edited on: Dec 6, 2019, 13:52
I've done some testing with these results:

 - The bug ALWAYS ocurrs in twins
 - The bug NEVER ocurrs in twinsed1
 - The bug ALWAYS ocurrs in twinsed2

The crash happens when entering AREA 2 (after having finished 4 levels).
I didn't use cheats in my gameplays.

Considering the tester (chaneman) has claimed this is a random issue, I will do more testing to check if my first results and definitive.
User avatar
No.17243
MetalGod
Senior Tester
Dec 6, 2019, 12:20
edited on: Dec 6, 2019, 12:46
*Updated main report with videos of the bug in twins and twinsed2
User avatar
No.17244
MetalGod
Senior Tester
Dec 6, 2019, 12:50
edited on: Dec 6, 2019, 12:51
No bugs in twinsed1. I've played this several times and I can confirm there's no bug in this version of the game.

Full gameplay untill reaching Stage 2 with no problems.
User avatar
No.17245
MetalGod
Senior Tester
Dec 6, 2019, 12:53
edited on: Dec 6, 2019, 14:13
After several gameplays of all the 3 versions of the game I can confirm the bug only affects twins and twinsed2.
The reproducibility of the bug is not random. It always happen in the mentioned affected roms.

Changed reproducibility and affected roms in the main report.
User avatar
No.17246
MetalGod
Senior Tester
Dec 6, 2019, 13:50
edited on: Dec 6, 2019, 14:56
The bug in twins has been there since the rom was added in mame 0.203. No regression version for that one.
Tested on several versions with twinsed2 (twinsa before mame 0.203). Tested on 0.196, 0.161, 159...
I ended up testing it in mame 0.110u5, when the clone was added and the bug is also there. No regression version then.
User avatar
No.17247
MetalGod
Senior Tester
Dec 6, 2019, 14:17
edited on: Dec 6, 2019, 14:20
As a curiosity, the game has "mortadelo y filemon II (Clever and Smart II)" music from the amstrad cpc version in level 2. That was kinda nostalgic for me :)
User avatar
No.17368
StHiryu
Tester
Jan 20, 2020, 16:09
Nice shot, that video is from my channel :)